
QGIS Application - Feature request #4255

Diagram overlays & print composer: add option to add legend for diagram attributes

2011-09-03 02:22 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 14199

Description

Subject says it all. If pie charts diagrams are plotted in the canvas, then probably those are meant to be printed, but an option to add the

(diagram) legend in the composer is missing.

Associated revisions

Revision 72cfe46f - 2015-05-04 08:34 AM - Vincent Mora

[FEATURE] Add diagram nodes to legends (fix #4255)

History

#1 - 2011-11-30 01:19 AM - Alban P

To my mind, this is one of the most important feature to add to QGIS.

Then good cheer to Marco !

#2 - 2011-11-30 01:25 AM - Giovanni Manghi

- Resolution deleted (invalid)

#3 - 2012-10-05 05:21 AM - Alban P

I saw really nice improvements in the diagram tab of QGIS. Really nice job !

Does an option to add the legend in the composer will be integrated ?

#4 - 2012-10-06 02:15 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2014-04-06 06:03 AM - Jürgen Fischer

- Category changed from 33 to Map Composer/Printing

#6 - 2014-06-20 02:44 PM - Giovanni Manghi

- Assignee deleted (Marco Hugentobler)

#7 - 2015-05-03 11:40 PM - Vincent Mora

- Status changed from Open to Closed

Fixed in changeset commit:"72cfe46f6a5844c113a74b762710964a341fa3bd".
